<?xml version="1.0"?>
<interface>
  <requires lib="gtk+" version="2.16"/>
  <!-- interface-naming-policy toplevel-contextual -->
  <object class="GtkWindow" id="prefs_tab_remote_access">
    <child>
      <object class="GtkVBox" id="vbox1">
        <property name="visible">True</property>
        <property name="border_width">12</property>
        <property name="spacing">18</property>
        <child>
          <object class="GtkTable" id="table1">
            <property name="visible">True</property>
            <property name="n_rows">6</property>
            <property name="n_columns">2</property>
            <property name="column_spacing">6</property>
            <property name="row_spacing">6</property>
            <child>
              <object class="GtkCheckButton" id="authenticate">
                <property name="label" translatable="yes">_Require authentication</property>
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="receives_default">False</property>
                <property name="use_underline">True</property>
                <property name="draw_indicator">True</property>
              </object>
              <packing>
                <property name="right_attach">2</property>
                <property name="top_attach">2</property>
                <property name="bottom_attach">3</property>
              </packing>
            </child>
            <child>
              <object class="GtkLabel" id="username_label">
                <property name="visible">True</property>
                <property name="xalign">0</property>
                <property name="label" translatable="yes">_Username:</property>
                <property name="use_underline">True</property>
                <property name="mnemonic_widget">username</property>
              </object>
              <packing>
                <property name="top_attach">3</property>
                <property name="bottom_attach">4</property>
                <property name="x_options">GTK_FILL</property>
              </packing>
            </child>
            <child>
              <object class="GtkEntry" id="username">
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="invisible_char">&#x25CF;</property>
              </object>
              <packing>
                <property name="left_attach">1</property>
                <property name="right_attach">2</property>
                <property name="top_attach">3</property>
                <property name="bottom_attach">4</property>
              </packing>
            </child>
            <child>
              <object class="GtkLabel" id="password_label">
                <property name="visible">True</property>
                <property name="xalign">0</property>
                <property name="label" translatable="yes">Pass_word:</property>
                <property name="use_underline">True</property>
                <property name="mnemonic_widget">password</property>
              </object>
              <packing>
                <property name="top_attach">4</property>
                <property name="bottom_attach">5</property>
                <property name="x_options">GTK_FILL</property>
              </packing>
            </child>
            <child>
              <object class="GtkEntry" id="password">
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="visibility">False</property>
                <property name="invisible_char">&#x25CF;</property>
              </object>
              <packing>
                <property name="left_attach">1</property>
                <property name="right_attach">2</property>
                <property name="top_attach">4</property>
                <property name="bottom_attach">5</property>
              </packing>
            </child>
            <child>
              <object class="GtkCheckButton" id="allow_remote_connections">
                <property name="label" translatable="yes">_Allow access from other computers</property>
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="receives_default">False</property>
                <property name="use_underline">True</property>
                <property name="draw_indicator">True</property>
              </object>
              <packing>
                <property name="right_attach">2</property>
              </packing>
            </child>
            <child>
              <object class="GtkLabel" id="api_key_label">
                <property name="visible">True</property>
                <property name="xalign">0</property>
                <property name="label" translatable="yes">API key:</property>
                <property name="use_underline">True</property>
              </object>
              <packing>
                <property name="top_attach">5</property>
                <property name="bottom_attach">6</property>
                <property name="x_options">GTK_FILL</property>
              </packing>
            </child>
            <child>
              <object class="GtkHBox" id="hbox3">
                <property name="visible">True</property>
                <property name="spacing">6</property>
                <child>
                  <object class="GtkLabel" id="api_key">
                    <property name="visible">True</property>
                    <property name="xalign">0</property>
                    <property name="selectable">True</property>
                  </object>
                  <packing>
                    <property name="position">0</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkButton" id="generate_api_key">
                    <property name="visible">True</property>
                    <property name="can_focus">True</property>
                    <property name="receives_default">True</property>
                    <property name="image">image1</property>
                  </object>
                  <packing>
                    <property name="expand">False</property>
                    <property name="position">1</property>
                  </packing>
                </child>
              </object>
              <packing>
                <property name="left_attach">1</property>
                <property name="right_attach">2</property>
                <property name="top_attach">5</property>
                <property name="bottom_attach">6</property>
              </packing>
            </child>
            <child>
              <object class="GtkLabel" id="label1">
                <property name="visible">True</property>
                <property name="xalign">0</property>
                <property name="label" translatable="yes">_Port:</property>
                <property name="use_underline">True</property>
                <property name="mnemonic_widget">port</property>
              </object>
              <packing>
                <property name="top_attach">1</property>
                <property name="bottom_attach">2</property>
              </packing>
            </child>
            <child>
              <object class="GtkSpinButton" id="port">
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="invisible_char">&#x25CF;</property>
                <property name="adjustment">port_adjustment</property>
              </object>
              <packing>
                <property name="left_attach">1</property>
                <property name="right_attach">2</property>
                <property name="top_attach">1</property>
                <property name="bottom_attach">2</property>
              </packing>
            </child>
          </object>
          <packing>
            <property name="expand">False</property>
            <property name="position">0</property>
          </packing>
        </child>
      </object>
    </child>
  </object>
  <object class="GtkAdjustment" id="port_adjustment">
    <property name="value">8080</property>
    <property name="lower">1025</property>
    <property name="upper">65535</property>
    <property name="step_increment">1</property>
    <property name="page_increment">10</property>
    <property name="page_size">10</property>
  </object>
  <object class="GtkImage" id="image1">
    <property name="visible">True</property>
    <property name="stock">gtk-refresh</property>
  </object>
</interface>
